import { EntityRepository, Repository } from "typeorm";
import { UpdateCartCounterCmsDto } from "./dto/update-cart-counter-cms.dto";
import { CartCounterCmsEntity } from "./entities/cart-counter-cms.entity";

@EntityRepository(CartCounterCmsEntity)
export class CartCounterCmsRepository extends Repository<CartCounterCmsEntity> {

    async createEntity(dto: UpdateCartCounterCmsDto): Promise<CartCounterCmsEntity | Error> {
        try {
            const entity = this.create({
                enableCartCounter: dto.enableCartCounter,
                counterTimeInSeconds: dto.counterTimeInSeconds,
                minute: dto.minute,
                second: dto.second
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCartCounterCmsDto, id: string): Promise<CartCounterCmsEntity | Error> {
        try {
            await this.update(id, {
                enableCartCounter: dto.enableCartCounter,
                counterTimeInSeconds: dto.counterTimeInSeconds,
                minute: dto.minute,
                second: dto.second
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CartCounterCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}