import { EntityRepository, Repository } from "typeorm";
import { UpdateDealsPageCmsDto } from "./dto/update-deals-page-cms.dto";
import { DealsPageCms } from "./entities/deals-page-cms.entity";

@EntityRepository(DealsPageCms)
export class DealsPageCmsRepository extends Repository<DealsPageCms> {

    async createEntity(dto: UpdateDealsPageCmsDto): Promise<DealsPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                categoryButtonOneText: dto.categoryButtonOneText,
                categoryButtonTwoText: dto.categoryButtonTwoText,
                bannerDesktopImage: dto.bannerDesktopImage,
                bannerMobileImage: dto.bannerMobileImage
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateDealsPageCmsDto, id: string): Promise<DealsPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                categoryButtonOneText: dto.categoryButtonOneText,
                categoryButtonTwoText: dto.categoryButtonTwoText,
                bannerDesktopImage: dto.bannerDesktopImage,
                bannerMobileImage: dto.bannerMobileImage
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<DealsPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}