import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DealsPopupCmsRepository } from "./deals-popup-cms.repository";
import { DealsPopupCmsController } from "./deals-popup-cms.controller";
import { DealsPopupCmsService } from "./deals-popup-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([DealsPopupCmsRepository])
    ],
    controllers: [DealsPopupCmsController],
    providers: [DealsPopupCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class DealsPopupCmsModule {
}