import { EntityRepository, getConnection, Repository } from "typeorm";
import { CreateHomePageSectionFourSliderDto } from "./dto/create-home-page-section-four-slider.dto";
import { UpdateHomePageSectionFourSliderDto } from "./dto/update-home-page-section-four-slider.dto";
import { HomePageSectionFourSlider } from "./entities/home-page-section-four-slider.entity";

@EntityRepository(HomePageSectionFourSlider)
export class HomePageSectionFourSliderRepository extends Repository<HomePageSectionFourSlider> {
    async createEntity(dto: CreateHomePageSectionFourSliderDto): Promise<HomePageSectionFourSlider | Error> {
        try {
            const {
                // stateCode,
                // stateName,
                title,
                type,
                buttonText,
                buttonLink,
                buttonTwoText,
                buttonTwoLink
                // isDefault
            } = dto;
            const entity = this.create({
                // stateCode,
                // stateName,
                title,
                type,
                buttonText,
                buttonLink,
                buttonTwoText,
                buttonTwoLink
                // isDefault
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async findOneEntity(id: string): Promise<HomePageSectionFourSlider | Error> {
        try {
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async updateEntity(id: string, dto: UpdateHomePageSectionFourSliderDto): Promise<HomePageSectionFourSlider | Error> {
        try {
            await this.update(id, {
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                type: dto.type,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                buttonTwoText: dto.buttonTwoText,
                buttonTwoLink: dto.buttonTwoLink
                // isDefault: dto.isDefault
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<HomePageSectionFourSlider[] | Error> {
        try {
            return await this.find({
                where: { ...query, isDeleted: false }
            });
        } catch (e) {
            return e;
        }
    }

    async findByStateCode(stateCode: string): Promise<any | Error> {
        try {
            let data = await this.find({
                // stateCode: stateCode,
                isDeleted: false
            })
            // if(Object.keys(data).length === 0) {
            //         data = await this.find({
            //             isDeleted: false
            //         });
            // }
            return data;
        } catch (e) {
            return e;
        }
    }

    async deleteEntity(id: string): Promise<boolean | Error> {
        try {
            const updateResult = await getConnection()
              .createQueryBuilder()
              .update(HomePageSectionFourSlider)
              .set({ isDeleted: true })
              .where("id = :id", { id: id })
              .execute();
            if (updateResult.affected > 0) {
                return true;
            }
            return false;
        } catch (e) {
            return e;
        }
    }
}