import { Body, Controller, Get, HttpCode, HttpStatus, Post, Query, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { NewDropBannerCmsService } from "./new-drop-banner-cms.service";
import { UpdateNewDropBannerCmsDto } from "./dto/update-new-drop-banner-cms.dto";

@Controller({ path: "new-drop-banner-cms", version: Constants.API_VERSION_1 })

export class NewDropBannerCmsController {
    constructor(private readonly service: NewDropBannerCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateNewDropBannerCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    // findAll(@Query("stateCode") stateCode: string) {
    findAll() {
        return this.service.findAll();
    }
}
