import { Body, Controller, Get, HttpCode, HttpStatus, Post, Query, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { PickupDeliveryCmsService } from "./pickup-delivery-cms.service";
import { UpdatePickupDeliveryCmsDto } from "./dto/update-pickup-delivery-cms.dto";

@Controller({ path: "pickup-delivery-cms", version: Constants.API_VERSION_1 })

export class PickupDeliveryCmsController {
    constructor(private readonly service: PickupDeliveryCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdatePickupDeliveryCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll(@Query("stateCode") stateCode: string) {
        return this.service.findAll(stateCode);
    }
}
