import { Module } from "@nestjs/common";
import { RegisterPageCmsService } from "./register-page-cms.service";
import { RegisterPageCmsController } from "./register-page-cms.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { RegisterPageCmsRepository } from "./register-page-cms.repository";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([RegisterPageCmsRepository])
    ],
    controllers: [RegisterPageCmsController],
    providers: [RegisterPageCmsService, JwtHelper]
})
export class RegisterPageCmsModule {
}
