import { EntityRepository, Repository } from "typeorm";
import { UpdateRelatedProductCmsDto } from "./dto/update-related-product-cms.dto";
import { RelatedProductCms } from "./entities/related-product-cms.entity";

@EntityRepository(RelatedProductCms)
export class RelatedProductCmsRepository extends Repository<RelatedProductCms> {

    async createEntity(dto: UpdateRelatedProductCmsDto): Promise<RelatedProductCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateRelatedProductCmsDto, id: string): Promise<RelatedProductCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<RelatedProductCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}