import { EntityRepository, Repository } from "typeorm";
import { RobotCmsDto } from "./dto/robot-cms.dto";
import { RobotCms } from "./entities/robot-cms.entity";

@EntityRepository(RobotCms)
export class RobotCmsRepository extends Repository<RobotCms> {

    async createEntity(dto: RobotCmsDto): Promise<RobotCms | Error> {
        try {
            const entity = this.create({ ...dto });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: RobotCmsDto, id: string): Promise<RobotCms | Error> {
        try {
            await this.update(id, { ...dto });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<RobotCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}