import { Module } from "@nestjs/common";
import { SectionThreeService } from "./section-three.service";
import { SectionThreeController } from "./section-three.controller";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { TypeOrmModule } from "@nestjs/typeorm";
import { UsersRepository } from "src/modules/users/user.repository";
import { SectionThreeRepository } from "./section-three.repository";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SectionThreeRepository])
    ],
    controllers: [SectionThreeController],
    providers: [SectionThreeService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SectionThreeModule {
}
