import { EntityRepository, Repository } from "typeorm";
import { SectionTwoTopDto } from "./dto/section-two-top.dto";
import { SectionTwoTop } from "./entities/section-two-top.entity";

@EntityRepository(SectionTwoTop)
export class SectionTwoTopRepository extends Repository<SectionTwoTop> {

    async createEntity(dto: SectionTwoTopDto): Promise<SectionTwoTop | Error> {
        try {
            const entity = this.create({ ...dto });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: SectionTwoTopDto, id: string): Promise<SectionTwoTop | Error> {
        try {
            await this.update(id, { ...dto });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SectionTwoTop[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}