import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersRepository } from "src/modules/users/user.repository";
import { BillingAddressController } from "./billing-address.controller";
import { BillingAddressRepository } from "./billing-address.repository";
import { BillingAddressService } from "./billing-address.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([BillingAddressRepository])
    ],
    controllers: [BillingAddressController],
    providers: [BillingAddressService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class BillingAddressModule {
}
