import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { DealsPageUiService } from "./deals-page-ui.service";
import { UpdateDealsPageUiDto } from "./dto/update-deals-page-ui.dto";

@Controller({ path: "deals-page-component-ui", version: Constants.API_VERSION_1 })

export class DealsPageUiController {
    constructor(private readonly service: DealsPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateDealsPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
