import { EntityRepository, Repository } from "typeorm";
import { UpdateFaqPageUiDto } from "./dto/update-career-page-ui.dto";
import { FaqPageUI } from "./entities/career-page-ui.entity";

@EntityRepository(FaqPageUI)
export class FaqPageUiRepository extends Repository<FaqPageUI> {

    async createEntity(dto: UpdateFaqPageUiDto): Promise<FaqPageUI | Error> {
        try {
            const entity = this.create({
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateFaqPageUiDto, id: string): Promise<FaqPageUI | Error> {
        try {
            await this.update(id, {
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FaqPageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}